<?php

/**
 * @file
 * Default theme implementation to display a raw Selective Tweet.
 *
 * Available variables:
 *
 * $tweet (object)
 * $tweet->user (object)
 * $tweet->user->profile_sidebar_fill_color (string, hexadecimal color code)
 * $tweet->user->profile_sidebar_border_color (string, hexadecimal color code)
 * $tweet->user->name (string)
 * $tweet->user->profile_image_url (string)
 * $tweet->user->screen_name (string)
 * $tweet->user->description (string)
 * $tweet->user->statuses_count (integer)
 * $tweet->user->friends_count (integer)
 * $tweet->created_at (string)
 * $tweet->text (string)
 * $tweet->retweet_count (integer)
 * $tweet->retweeted (boolean)
 *
 * For all available variables in the $tweet object, check
 * https://dev.twitter.com/rest/reference/get/statuses/show/%3Aid. The example
 * result shows the available properties.
 *
 * @see template_preprocess()
 * @see template_preprocess_block()
 * @see template_process()
 *
 * @ingroup themeable
 */
?>
<?php
  // IMPORTANT: the class 'selective-tweet' is required for the load-more
  // ajax functionality to work.
?>
<div class="selective-tweet selective-tweet-<?php print $tweet->id_str; ?>">

<?php if ($tweet->user->profile_image_url): ?>
  <div class="tweet-user-image">
    <img src="<?php print $tweet->user->profile_image_url ?>" />
  </div>
<?php endif;?>

<?php if ($tweet->user->screen_name): ?>
  <div class="tweet-user-screen-name">@<?php print $tweet->user->screen_name; ?></div>
<?php endif;?>

<?php if ($tweet->text): ?>
  <div class="tweet-text"><?php print $tweet->text; ?></div>
<?php endif;?>

</div>
